OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
tunnelbridge.h File Reference

Header file for things common for tunnels and bridges. More...

`#include "map_func.h"`

Go to the source code of this file.

## Functions
void | MarkBridgeDirty (TileIndex begin, TileIndex end, DiagDirection direction, uint bridge_height)
| Mark bridge tiles dirty.
void | MarkBridgeDirty (TileIndex tile)
| Mark bridge tiles dirty.
static uint | GetTunnelBridgeLength (TileIndex begin, TileIndex end)
| Calculates the length of a tunnel or a bridge (without end tiles)

## Variables
TileIndex | _build_tunnel_endtile
| The end of a tunnel; as hidden return from the tunnel build command for GUI purposes.

## Detailed Description

Header file for things common for tunnels and bridges.

Definition in file tunnelbridge.h.

## Function Documentation

static uint GetTunnelBridgeLength | ( | TileIndex | begin,
|  | TileIndex | end
| ) |  |
| inline static

Calculates the length of a tunnel or a bridge (without end tiles)

Parameters

  begin | The begin of the tunnel or bridge.
  end | The end of the tunnel or bridge.

Returns
  length of bridge/tunnel middle

Definition at line 26 of file tunnelbridge.h.

References abs(), TileX(), and TileY().

Referenced by AfterLoadCompanyStats(), CmdBuildBridge(), CmdBuildRoad(), CmdConvertRail(), DoClearBridge(), DoClearTunnel(), DrawBridgeMiddle(), DrawCatenaryOnBridge(), CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >::FollowTileExit(), GetRailTrackBitsUniversal(), RemoveRoad(), and ShowBuildBridgeWindow().

void MarkBridgeDirty | ( | TileIndex | begin,
|  | TileIndex | end,
|  | DiagDirection | direction,
|  | uint | bridge_height
| ) |  |

Mark bridge tiles dirty.

Note: The bridge does not need to exist, everything is passed via parameters.

Parameters

  begin | Start tile.
  end | End tile.
  direction | Direction from begin to end.
  bridge_height | Bridge height level.

Definition at line 64 of file tunnelbridge_cmd.cpp.

References MarkTileDirtyByTile(), TileHeight(), and TileOffsByDiagDir().

Referenced by ClearPathReservation(), CmdBuildBridge(), CmdBuildRoad(), CmdConvertRail(), MarkBridgeDirty(), RemoveRoad(), TryReserveRailTrack(), and UnreserveRailTrack().

void MarkBridgeDirty | ( | TileIndex | tile | ) |

Mark bridge tiles dirty.

Parameters

  tile | Bridge head.

Definition at line 77 of file tunnelbridge_cmd.cpp.

References GetBridgeHeight(), GetOtherTunnelBridgeEnd(), GetTunnelBridgeDirection(), and MarkBridgeDirty().